kompendium
2.0.3
2.0.3 2.0.2 2.0.1

# UndeclaredField

@ Target (allowedTargets = [ AnnotationTarget.CLASS ])
annotation class UndeclaredField (field: String , clazz: KClass <*>)
Content copied to clipboard

This annotation allows users to add additional fields that are not part of the core data model. This should be used EXTREMELY sparingly. Most useful in supporting a variety of polymorphic serialization techniques.

## Parameters

field

Name of the extra field to add to the model

clazz

Class type of the field being added. If this is a complex type, you are most likely doing something wrong.

## Constructors

UndeclaredField
Link copied to clipboard
fun UndeclaredField (field: String , clazz: KClass <*>)
Content copied to clipboard

## Properties

clazz
Link copied to clipboard
val clazz : KClass <*>
Content copied to clipboard
field
Link copied to clipboard
val field : String
Content copied to clipboard